net.corda.node.services.messaging

## Class VerifyingNettyConnectorFactory

- net.corda.node.services.messaging.VerifyingNettyConnectorFactory

-     public class VerifyingNettyConnectorFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VerifyingNettyConnectorFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.activemq.artemis.spi.core.remoting.Connector` | `createConnector(java.util.Map<java.lang.String,java.lang.Object> configuration, org.apache.activemq.artemis.spi.core.remoting.BufferHandler handler, org.apache.activemq.artemis.spi.core.remoting.ClientConnectionLifeCycleListener listener, java.util.concurrent.Executor closeExecutor, java.util.concurrent.Executor threadPool, java.util.concurrent.ScheduledExecutorService scheduledThreadPool, org.apache.activemq.artemis.spi.core.remoting.ClientProtocolManager protocolManager)`

- - ### Constructor Detail

    - #### VerifyingNettyConnectorFactory

          public VerifyingNettyConnectorFactory()

  - ### Method Detail

    - #### createConnector

          public org.apache.activemq.artemis.spi.core.remoting.Connector createConnector(java.util.Map<java.lang.String,java.lang.Object> configuration,
                                                                                         org.apache.activemq.artemis.spi.core.remoting.BufferHandler handler,
                                                                                         org.apache.activemq.artemis.spi.core.remoting.ClientConnectionLifeCycleListener listener,
                                                                                         java.util.concurrent.Executor closeExecutor,
                                                                                         java.util.concurrent.Executor threadPool,
                                                                                         java.util.concurrent.ScheduledExecutorService scheduledThreadPool,
                                                                                         org.apache.activemq.artemis.spi.core.remoting.ClientProtocolManager protocolManager)